package com.szxgl.nft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.szxgl.nft.entity.NftPhotoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

@Mapper
public interface NftPhotoMapper extends BaseMapper<NftPhotoDO> {

    Long getRandomHash(Integer flag);

    void addNftPhoto(@Param("id") Long id,@Param("seed") String seed);

    Map<String,Object> getNftPhotoUrl(String openid);

    Map<String, Object> getPhoneAndHash(String openid);

    int getNftCount();

    String getStatus(String openid);

}
